Page MenuHomePhabricator

Run new campaigns at 25% in stable
Closed, ResolvedPublic5 Story Points

Description

Run all WikiGrok campaigns at 100% for 2 weeks. Depends on https://trello.com/c/XnJdxmUd/3-13-send-wikigrok-response-data-to-its-own-table

  • Show WikiGrok campaigns to all users, logged in and logged out
  • Data QA - If there are problems with the data, file bugs. Most of this can be done by Analytics, but it will require wrangling/coordination.

Event Timeline

KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:16 PM
KLans_WMF updated the task description. (Show Details)Mar 30 2015, 6:16 PM
KLans_WMF set Security to None.
KLans_WMF edited a custom field.
phuedx assigned this task to kaldari.Apr 20 2015, 7:25 PM

Upped the sampling rate to 25% per discussion with Sam and SWAT deployed that today. When I tested it on en.wiki, I realized there's still a lot of important WikiGrok changes that haven't made it to English Wikipedia yet, especially:
https://gerrit.wikimedia.org/r/#/c/201862/
https://gerrit.wikimedia.org/r/#/c/203971/
https://gerrit.wikimedia.org/r/#/c/203312/

In light of that, I decided to postpone turning it on until the next train reaches en.wiki on Wednesday (April 22).

@phuedx thanks for the heads up!

kaldari renamed this task from Run new campaigns at 100% in stable to Run new campaigns at 25% in stable.Apr 22 2015, 11:51 PM

@phuedx, @JKatzWMF This is running now in production. I've verified that the UI is displaying to users and it is collecting data in the wikidatawiki table. All the response data looks correct. Would be good to have Analytics (Leila) verify the EventLogging data as well. I'm leaving for vacation tomorrow, so someone else will need to head that up.

kaldari reassigned this task from kaldari to phuedx.Apr 23 2015, 12:51 AM
phuedx added a subscriber: leila.Apr 23 2015, 10:54 AM

@leila: Is double-checking the EventLogging data for WikiGrok something that I contact you directly about or should I go via the Analytics mailing list?

leila added a comment.Apr 23 2015, 4:40 PM

@phuedx I'm not sure given all the changes that have happened recently. We missed a syncing meeting on Tuesday. I'll call for a 15-min meeting that Jon, Kevin, Dario, Dan, you and figure out the next steps.

phuedx closed this task as Resolved.Apr 27 2015, 8:46 AM

As discussed on mobile-l and in-meeting, we'll be rolling back to the last stable WikiGrok deploy this morning/evening (mevening). Consequently, WikiGrok will be using EventLogging to collect data for the new campaigns, which has been signed off already.

leila added a comment.Apr 27 2015, 5:16 PM

@phuedx happy to see this moving forward.

A note on the 25% rate per our discussion on Friday. Please follow the exact same procedure and rate for sampling users as we did in the last stable deploy. Otherwise, EL may not be able to handle the load and the data may not be useful for analysis. If you decide to change the rate, please consult with Analytics. If you decide to change the process you sample, please talk to Dario or myself.